> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exode.biz/llms.txt
> Use this file to discover all available pages before exploring further.

# Group members

> Export of group members with course progress, curators and tariffs

**type:** `QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY`

Exports a list of group members with information about course progress, curator, tariff and activity.

This is a report type for the [`query-export/generate`](/en/exode-api/school/query-export/generate) method: pass it
in the `type` field, and the fields described below in `variables`.

### Report columns

Column names are given as they appear without the `Ux-Language` header (English by default); the header switches
them to another language, e.g. `Ux-Language: ru` (see [`generate`](/en/exode-api/school/query-export/generate) for details).

Main sheet **GroupMembers**:

* User ID
* Full name
* Login method
* Phone number
* Course ID
* Course name
* Access status
* Group
* Curator
* Current lesson
* Progress (%)
* Completed lessons
* Total lessons
* Date added
* Tariff ID
* Tariff
* Invited by
* Completion date
* Last activity

In XLSX format only, if the export contains bundles, a **Course Progress** sheet is generated — a breakdown of progress
by the bundle's nested courses:

* User ID
* Full name
* Bundle ID
* Bundle name
* Course ID
* Course name
* Progress (%)
* Completed lessons
* Total lessons
* Current lesson

***

### Variables (`variables`)

<ParamField body="filter" type="object" required>
  Filtering parameters. Required: to export all records without filtering, pass an empty object `{}`.

  <Expandable title="filter properties">
    <ParamField body="memberIds" type="integer[]">
      Filter by group member IDs.
    </ParamField>

    <ParamField body="groupIds" type="integer[]">
      Filter by group IDs.
    </ParamField>

    <ParamField body="productIds" type="integer[]">
      Filter by product IDs.
    </ParamField>

    <ParamField body="userIds" type="integer[]">
      Filter by user IDs.
    </ParamField>

    <ParamField body="currentLessonIds" type="integer[]">
      Filter by IDs of members' current lessons.
    </ParamField>

    <ParamField body="participantCuratorIds" type="integer[]">
      Filter by curator IDs (seller manager IDs).
    </ParamField>

    <ParamField body="inviterUserIds" type="integer[]">
      Filter by IDs of users who added the member.
    </ParamField>

    <ParamField body="active" type="boolean">
      Filter by access status. `true` — active only, `false` — deactivated only.
    </ParamField>

    <ParamField body="participantStatuses" type="string[]">
      Filter by product participant statuses. An array of values: `InUse`, `Completed`.
    </ParamField>

    <ParamField body="search" type="string">
      Text search (up to 50 characters).
    </ParamField>

    <ParamField body="progressPercentRange" type="object">
      Filter by progress range (in percent). The `from` and `to` properties are numbers.
    </ParamField>

    <ParamField body="createdAtDateRange" type="object">
      Filter by access creation date range. The `from` and `to` properties are dates in ISO 8601 format.
    </ParamField>

    <ParamField body="product" type="object">
      Nested product filter. The set of fields matches the `product` filter of the
      ["List product accesses"](/en/exode-api/school/product-access/list) method.
    </ParamField>

    <ParamField body="price" type="object">
      Nested filter by the product's tariff (price). The set of fields matches the `price` filter of the
      ["List product accesses"](/en/exode-api/school/product-access/list) method.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="sort" type="object">
  Sorting parameters. Values: `ASC` (ascending) or `DESC` (descending).

  <Expandable title="sort properties">
    <ParamField body="id" type="string">
      Sort by ID. `ASC` | `DESC`.
    </ParamField>

    <ParamField body="createdAt" type="string">
      Sort by creation date. `ASC` | `DESC`.
    </ParamField>

    <ParamField body="updatedAt" type="string">
      Sort by update date. `ASC` | `DESC`.
    </ParamField>

    <ParamField body="order" type="string">
      Sort by sequence number. `ASC` | `DESC`.
    </ParamField>

    <ParamField body="progressPercent" type="string">
      Sort by progress (%). `ASC` | `DESC`.
    </ParamField>

    <ParamField body="userLastOnlineAt" type="string">
      Sort by the user's last activity date. `ASC` | `DESC`.
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location 'https://api.exode.biz/saas/v2/query-export/generate' \
    --header 'Seller-Id: {{ sellerId }}' \
    --header 'School-Id: {{ schoolId }}' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer YOUR_TOKEN' \
    --data '{
      "type": "QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY",
      "variables": {
        "filter": {
          "groupIds": [10, 20],
          "active": true
        },
        "sort": {
          "createdAt": "DESC"
        }
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const exportGroupMembers = async () => {
    try {
      const response = await axios.post('https://api.exode.biz/saas/v2/query-export/generate', {
        type: 'QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY',
        variables: {
          filter: {
            groupIds: [10, 20],
            active: true
          },
          sort: {
            createdAt: 'DESC'
          }
        }
      }, {
        headers: {
          'Seller-Id': '{{ sellerId }}',
          'School-Id': '{{ schoolId }}',
          'Content-Type': 'application/json',
          'Authorization': 'Bearer YOUR_TOKEN'
        }
      });

      const { uuid } = response.data.payload;
      console.log('Execution UUID:', uuid);
    } catch (error) {
      console.error('Error:', error.response?.data || error.message);
    }
  };

  exportGroupMembers();
  ```

  ```php PHP theme={null}
  <?php

  $url = 'https://api.exode.biz/saas/v2/query-export/generate';
  $data = [
    'type' => 'QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY',
    'variables' => [
      'filter' => [
        'groupIds' => [10, 20],
        'active' => true
      ],
      'sort' => [
        'createdAt' => 'DESC'
      ]
    ]
  ];

  $headers = [
    'Seller-Id: {{ sellerId }}',
    'School-Id: {{ schoolId }}',
    'Content-Type: application/json',
    'Authorization: Bearer YOUR_TOKEN'
  ];

  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, $url);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
  curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

  $response = curl_exec($ch);
  $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
  curl_close($ch);

  if ($httpCode === 200 || $httpCode === 201) {
    $result = json_decode($response, true);
    echo "Execution UUID: " . $result['payload']['uuid'] . "\n";
  } else {
    echo "Error: HTTP $httpCode\n";
    echo $response;
  }
  ?>
  ```

  ```python Python theme={null}
  import requests

  url = 'https://api.exode.biz/saas/v2/query-export/generate'

  data = {
    'type': 'QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY',
    'variables': {
      'filter': {
        'groupIds': [10, 20],
        'active': True
      },
      'sort': {
        'createdAt': 'DESC'
      }
    }
  }

  headers = {
    'Seller-Id': '{{ sellerId }}',
    'School-Id': '{{ schoolId }}',
    'Content-Type': 'application/json',
    'Authorization': 'Bearer YOUR_TOKEN'
  }

  try:
    response = requests.post(url, json=data, headers=headers)
    response.raise_for_status()

    result = response.json()
    print(f"Execution UUID: {result['payload']['uuid']}")

  except requests.exceptions.RequestException as e:
    print(f'Error: {e}')
  ```

  ```bsl 1С theme={null}
  ИдентификаторыГрупп = Новый Массив;
  ИдентификаторыГрупп.Добавить(10);
  ИдентификаторыГрупп.Добавить(20);

  Фильтр = Новый Структура;
  Фильтр.Вставить("groupIds", ИдентификаторыГрупп);
  Фильтр.Вставить("active", Истина);

  Сортировка = Новый Структура;
  Сортировка.Вставить("createdAt", "DESC");

  Переменные = Новый Структура;
  Переменные.Вставить("filter", Фильтр);
  Переменные.Вставить("sort", Сортировка);

  Данные = Новый Структура;
  Данные.Вставить("type", "QUERY_EXPORT_TYPE_GROUP_MEMBER_FIND_MANY");
  Данные.Вставить("variables", Переменные);

  // Serialize body to JSON
  ЗаписьJSON = Новый ЗаписьJSON;
  ЗаписьJSON.УстановитьСтроку();
  ЗаписатьJSON(ЗаписьJSON, Данные);
  ТелоЗапроса = ЗаписьJSON.Закрыть();

  Соединение = Новый HTTPСоединение("api.exode.biz", 443, , , , 30, Новый OpenSSLSecureConnection);

  Запрос = Новый HTTPЗапрос("/saas/v2/query-export/generate");
  Запрос.Заголовки.Вставить("Seller-Id", "{{ sellerId }}");
  Запрос.Заголовки.Вставить("School-Id", "{{ schoolId }}");
  Запрос.Заголовки.Вставить("Content-Type", "application/json");
  Запрос.Заголовки.Вставить("Authorization", "Bearer YOUR_TOKEN");
  Запрос.УстановитьТелоИзСтроки(ТелоЗапроса);

  Ответ = Соединение.ВызватьHTTPМетод("POST", Запрос);

  Если Ответ.КодСостояния = 200 ИЛИ Ответ.КодСостояния = 201 Тогда
      ЧтениеJSON = Новый ЧтениеJSON;
      ЧтениеJSON.УстановитьСтроку(Ответ.ПолучитьТелоКакСтроку());
      Результат = ПрочитатьJSON(ЧтениеJSON);
      Сообщить("Export started");
  Иначе
      Сообщить("Error: HTTP " + Ответ.КодСостояния);
      Сообщить(Ответ.ПолучитьТелоКакСтроку());
  КонецЕсли;
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true,
    "code": 201,
    "payload": {
      "uuid": "ac4140c9-12d3-4c1f-a7aa-d12f16c7bbdd",
      "flow": "QueryExport",
      "status": "Processing",
      "isCompleted": false,
      "userId": 5562,
      "createdAt": "2025-01-18T12:44:55.812Z",
      "updatedAt": "2025-01-18T12:44:55.812Z"
    }
  }
  ```
</ResponseExample>

The method responds with a generation task with a `uuid`. Get the file through
[getting the result](/en/exode-api/school/query-export/result).

## Permission requirements

<Check>
  Requires token authentication and one of the permissions: [**"School User Management"**](/en/exode-api/permissions) (`SchoolManageUsers`),
  **"Course Management"** (`CourseManage`) or **"Course Curator"** (`CourseCurator`). Without the permission, the generation
  request succeeds, but the export ends with `status: Failed`.
</Check>

***

*Updated: 2026-09-25 14:33 UTC*


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.